Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.script
Interface IBaseDataSetEventHandler

All Known Subinterfaces:
  IScriptDataSetEventHandler

    public interface IBaseDataSetEventHandler

Handler for data set events

Method Summary
`void` | `handleAfterClose(IDataSetInstanceHandle dataSet)`
`void` | `handleAfterOpen(IDataSetInstanceHandle dataSet)`
`void` | `handleBeforeClose(IDataSetInstanceHandle dataSet)`
`void` | `handleBeforeOpen(IDataSetInstanceHandle dataSet)`
`void` | `handleOnFetch(IDataSetInstanceHandle dataSet, IDataRow row)`

Method Detail

### handleBeforeOpen

    void handleBeforeOpen(IDataSetInstanceHandle dataSet)
                          throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleBeforeClose

    void handleBeforeClose(IDataSetInstanceHandle dataSet)
                           throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleAfterOpen

    void handleAfterOpen(IDataSetInstanceHandle dataSet)
                         throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleAfterClose

    void handleAfterClose(IDataSetInstanceHandle dataSet)
                          throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleOnFetch

    void handleOnFetch(IDataSetInstanceHandle dataSet,
                       IDataRow row)
                       throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.